Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.ui
Class ProjectView

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  edu.stanford.smi.protege.ui.ProjectView

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable

    public class ProjectView

extends JComponent

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ProjectView(Project project)`

Method Summary
`void` | `addChangeListener(ChangeListener listener)`
`void` | `addProjectViewListener(ProjectViewListener pvl)`
`TabWidget` | `addTab(WidgetDescriptor widgetDescriptor)`
`TabWidget` | `addTab(WidgetDescriptor widgetDescriptor, int index)`
`boolean` | `attemptSave()`
`boolean` | `canClose()`
`void` | `close()`
`void` | `closeCurrentView()`
`protected ProjectListener` | `createProjectListener()`
`protected ServerProjectListener` | `createRemoteProjectShutdownListener()`
`void` | `detachCurrentView()`
`Project` | `getProject()`
`TabWidget` | `getSelectedTab()`
`TabWidget` | `getTab(String className)` Deprecated. Use #getTabByClassName(String)
`JTabbedPane` | `getTabbedPane()` Deprecated. returns null. Use the other methods on this class to manipulate views.
`TabWidget` | `getTabByClassName(String className)`
`Collection` | `getTabs()`
`boolean` | `isAutosynchronizingClsTrees()`
`void` | `reload(boolean regenerate)` This method will reload all the tabs in the user interface.
`void` | `reload(TabWidget tabWidget)` Reloads the tab widget given as argument. First, it will dispose the existing tab widget, and then it will create a new instance of the tab (it will call the constructor and initialize()), and it will insert it in the same place in the tabbed pane.
`void` | `reloadAll()`
`void` | `reloadAllTabsExcept(TabWidget exceptionTab)` It will reload (i.e.
`void` | `removeChangeListener(ChangeListener listener)`
`void` | `removeProjectViewListener(ProjectViewListener pvl)`
`void` | `setAutosynchronizeClsTrees(boolean b)`
`void` | `setSelectedTab(TabWidget tab)`
`void` | `synchronizeClsTree()`
`void` | `synchronizeInstances()`
`String` | `toString()`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProjectView

    public ProjectView(Project project)

Method Detail

### createRemoteProjectShutdownListener

    protected ServerProjectListener createRemoteProjectShutdownListener()

### createProjectListener

    protected ProjectListener createProjectListener()

### addTab

    public TabWidget addTab(WidgetDescriptor widgetDescriptor,
                            int index)

### addTab

    public TabWidget addTab(WidgetDescriptor widgetDescriptor)

### canClose

    public boolean canClose()

### attemptSave

    public boolean attemptSave()

### close

    public void close()

### addChangeListener

    public void addChangeListener(ChangeListener listener)

### removeChangeListener

    public void removeChangeListener(ChangeListener listener)

### addProjectViewListener

    public void addProjectViewListener(ProjectViewListener pvl)

### removeProjectViewListener

    public void removeProjectViewListener(ProjectViewListener pvl)

### getProject

    public Project getProject()

### getTab

    @Deprecated
    public TabWidget getTab(String className)

  Deprecated. Use #getTabByClassName(String)

### getTabByClassName

    public TabWidget getTabByClassName(String className)

### getTabs

    public Collection getTabs()

### setSelectedTab

    public void setSelectedTab(TabWidget tab)

### getSelectedTab

    public TabWidget getSelectedTab()

### getTabbedPane

    @Deprecated
    public JTabbedPane getTabbedPane()

  Deprecated. returns null. Use the other methods on this class to manipulate views.

### reload

    public void reload(boolean regenerate)

  This method will reload all the tabs in the user interface.

  Parameters:
    `regenerate` - - if true - it will reinitialize all tabs in the interface (dispose the existing tabs, create a new instance of the tab, and call the initialize() method);
    - if false - it will close the detached tabs, and if needed, it will resynchronize the trees in the tabs (it will not create new instances of the tabs)

### reload

    public void reload(TabWidget tabWidget)

  Reloads the tab widget given as argument.
  First, it will dispose the existing tab widget, and then it will create a new instance of the tab (it will call the constructor and initialize()), and it will insert it in the same place in the tabbed pane.
  This method is useful when the content of the tab needs to be updated. (e.g. after an import). The tab will lose any stored state (because a new instance of the tab will be created.)

  Parameters:
    `tabWidget` - - the tab widget to be reinitialized

### reloadAllTabsExcept

    public void reloadAllTabsExcept(TabWidget exceptionTab)

  It will reload (i.e. recreate and reinitialize) all tabs in the user interface with the exception of the tab given as argument.
  For more information see `reload(TabWidget)`.

  Parameters:
    `exceptionTab` - - the tab that will NOT be reloaded.

### reloadAll

    public void reloadAll()

### toString

    public String toString()

  Overrides:
    `toString` in class `Component`

### closeCurrentView

    public void closeCurrentView()

### detachCurrentView

    public void detachCurrentView()

### setAutosynchronizeClsTrees

    public void setAutosynchronizeClsTrees(boolean b)

### isAutosynchronizingClsTrees

    public boolean isAutosynchronizingClsTrees()

### synchronizeClsTree

    public void synchronizeClsTree()

### synchronizeInstances

    public void synchronizeInstances()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.